﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
#nullable disable
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Airlines.Persistence.Basic.Models;

[Index("Name", Name = "IX_Airlines_Name")]
public partial class Airline
{
    [Key]
    public int ID { get; set; }

    [StringLength(100)]
    [Unicode(false)]
    public string Name { get; set; }

    public DateOnly? Founded { get; set; }

    public int? Fleet_size { get; set; }

    [Column(TypeName = "text")]
    public string Description { get; set; }
}